Jump to content
Latest News: (loading..)

Archived

This topic is now archived and is closed to further replies.

traffi

login to Admin

Recommended Posts

I receive the following message when I try to login to my Admin page. Can anyone tell me what this means

 

Warning: require(includes/languages/.php): failed to open stream: No such file or directory in /home3/traffi3/public_html/catalog/admin/includes/application_top.php on line 157

Warning: require(includes/languages/.php): failed to open stream: No such file or directory in /home3/traffi3/public_html/catalog/admin/includes/application_top.php on line 157

Fatal error: require(): Failed opening required 'includes/languages/.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home3/traffi3/public_html/catalog/admin/includes/application_top.php on line 157

Share this post


Link to post
Share on other sites

This means you are likely running an older version of osCommerce.  And that your host has updated its servers.

 

Can you say which version you have, look at the following file:

/includes/version.php


This is a signature that appears on all my posts.  It is not specifically aimed at you.

 

IF YOU MAKE A POST REQUESTING HELP...please state the exact version of osCommerce that you are using. THANKS
 
If you are still on the old style osCommerce, it is time to move to Responsive.

 

Share this post


Link to post
Share on other sites

This means you are likely running an older version of osCommerce.  And that your host has updated its servers.

 

Can you say which version you have, look at the following file:

/includes/version.php

I don't see a  /includes/version.php.

 I think my version "1.42" What should I do Install a update version. I also am receiving this message on my catalog index page.

Warning: session_start(): Cannot send session cache limiter - headers already sent (output started at /home3/traffi3/public_html/catalog/index.php:1) in /home3/traffi3/public_html/catalog/includes/functions/sessions.php on line 102

 

Deprecated: Function eregi() is deprecated in /home3/traffi3/public_html/catalog/includes/classes/language.php on line 87

 

I think my version is 1.42..

Share this post


Link to post
Share on other sites

Ok so open up /includes/application_top.php and find the line of code that looks a bit like:

 

define('PROJECT_VERSION', 'x');

 

Tell us what your "x" is ...


This is a signature that appears on all my posts.  It is not specifically aimed at you.

 

IF YOU MAKE A POST REQUESTING HELP...please state the exact version of osCommerce that you are using. THANKS
 
If you are still on the old style osCommerce, it is time to move to Responsive.

 

Share this post


Link to post
Share on other sites

Ok so open up /includes/application_top.php and find the line of code that looks a bit like:

 

define('PROJECT_VERSION', 'x');

 

Tell us what your "x" is ...

 

/ define the project version

  define('PROJECT_VERSION', 'osCommerce Online Merchant v2.2 RC2a');

 

Version 2.2 RC2a

Share this post


Link to post
Share on other sites

/ define the project version
  define('PROJECT_VERSION', 'osCommerce Online Merchant v2.2 RC2a');

 

Version 2.2 RC2a

Share this post


Link to post
Share on other sites

@@traffi Looks like your host has updated their version of PHP - if so you have a few options:

 

1) Patch your site to carry on running - plenty of info if you search the forum

2) Ask your host to roll back the php version to give you time to update

 

3) Download latest version of OSC and start working on it to get it to the standard you need - you need to do this even if you have success with 1 & 2 above


Now running on a fully modded, Mobile Friendly 2.3.4 Store with the Excellent MTS installed - See my profile for the mods installed ..... So much thanks for all the help given along the way by forum members.

Share this post


Link to post
Share on other sites

unless you have a very good reason for wanting to keep the RC2a version, you should consider a new installation with the latest version of osCommerce.

You can make RC2A work again, but it is a lot of work


Sometimes you're the dog and sometimes the lamp post

[/url]

My Contributions

Share this post


Link to post
Share on other sites

×